/*
 * $Id: mainwindow.h,v 0.1 2005/08/14 11:25:03 denis Exp $
 *
 * Author: Denis Kozadaev (denis@tambov.ru)
 * Description:
 *
 * See also: style(9)
 *
 * Hacked by:
 */

#ifndef	__MAIN_WINDOW_H__
#define	__MAIN_WINDOW_H__

#include <stdlib.h>

#include <ntqmainwindow.h>
#include <ntqmenubar.h>
#include <ntqpopupmenu.h>

#include "gameboard.h"

class MainWindow:public TQMainWindow
{
	Q_OBJECT
    
public:
	MainWindow(TQWidget *parent = NULL, const char *name = NULL);
	~MainWindow();

private:
	TQPopupMenu	*file;
	GameBoard	*gb;

private slots:
	void	newGame();
	void	loadImage();
};

#endif	/* __MAIN_WINDOW_H__ */
